This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 503515 - can not rebuild kmp.spec
can not rebuild kmp.spec
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-rpm-config (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Weiping Pan
BaseOS QE Security Team
:
Depends On: 502168
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2009-06-01 10:32 EDT by Petr Sklenar
Modified: 2015-01-04 16:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 502168
Environment:
Last Closed: 2013-12-17 04:32:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pacth to fix -v -r (749 bytes, patch)
2013-12-17 03:11 EST, Weiping Pan
no flags Details | Diff

  None (edit)
Description Petr Sklenar 2009-06-01 10:32:57 EDT
Actual results on rhel5u3:

# rpmbuild --define '_topdir /tmp/bz252188-build-mN9179' --target x86_64 -ba /tmp/bz252188-build-mN9179/kmp.spec
Building target platforms: x86_64
Building for target x86_64
Processing files: kmod-kmp-2.0-1
error: File not found: /var/tmp/kmp-1.0-build/lib/modules/2.6.18-128.1.6.el5
Processing files: kmod-kmp-xen-2.0-1
error: File not found: /var/tmp/kmp-1.0-build/lib/modules/2.6.18-128.1.6.el5xen
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/kmp-1.0-build


RPM build errors:
    File not found: /var/tmp/kmp-1.0-build/lib/modules/2.6.18-128.1.6.el5
    File not found: /var/tmp/kmp-1.0-build/lib/modules/2.6.18-128.1.6.el5xen
You have new mail in /var/spool/mail/root


Version-Release number of selected component (if applicable):
rpm-build-4.4.2.3-14.el5
rpm-4.4.2.3-14.el5
redhat-rpm-config-8.0.45-31.el5


+++ This bug was initially created as a clone of Bug #502168 +++

Created an attachment (id=345072)
kmp.spec

Description of problem:
Can not rebuild kmp.spec


Version-Release number of selected component (if applicable):
redhat-rpm-config-9.0.3-8.fc11.noarch


How reproducible:
1 of 1 attempt


Steps to Reproduce:
1. See attached kmp.spec from http://driverupdateprogram.com (slightly updated)
2. # rpmbuild --define '_topdir /tmp/bz252188-build-frAPcb' --target x86_64 -ba /tmp/bz252188-build-frAPcb/kmp.spec


Actual results:
Building target platforms: x86_64
Building for target x86_64
Processing files: kmod-kmp-1.0-0.x86_64
error: File not found: /tmp/bz252188-build-frAPcb/BUILDROOT/kmp-1.0-0.x86_64/lib/modules/2.6.29.2-126.fc11
error: File not found: /tmp/bz252188-build-frAPcb/BUILDROOT/kmp-1.0-0.x86_64/lib/firmware


RPM build errors:
    File not found: /tmp/bz252188-build-frAPcb/BUILDROOT/kmp-1.0-0.x86_64/lib/modules/2.6.29.2-126.fc11
    File not found: /tmp/bz252188-build-frAPcb/BUILDROOT/kmp-1.0-0.x86_64/lib/firmware


Expected results:
should build
Comment 1 RHEL Product and Program Management 2009-11-06 14:27:52 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 2 Jon Masters 2009-12-15 23:58:09 EST
This component isn't due to be updated in 5.5. Would you like to request that it be updated in 5.6? If so, please make the request.
Comment 3 Petr Sklenar 2009-12-16 04:21:27 EST
ok, request send
Comment 5 RHEL Product and Program Management 2010-08-09 15:49:39 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 6 Karel Srot 2013-03-18 10:02:26 EDT
Hi Peter,
is this still valid for RHEL 5.9?
Comment 7 Petr Sklenar 2013-03-19 03:13:07 EDT
(In reply to comment #6)
> Hi Peter,
> is this still valid for RHEL 5.9?

Yes and I am still waiting for the fix :)

### /tmp/kmp.spec  is from bug 502168

# rpmbuild -ba /tmp/kmp.spec 
Processing files: kmod-kmp-2.0-1
error: File not found: /var/tmp/kmp-1.0-build/lib/modules/2.6.18-348.el5
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/kmp-1.0-build


RPM build errors:
    File not found: /var/tmp/kmp-1.0-build/lib/modules/2.6.18-348.el5
# rpm -qa | grep rpm
rpm-4.4.2.3-31.el5
rpm-devel-4.4.2.3-31.el5
rpm-libs-4.4.2.3-31.el5
rpm-python-4.4.2.3-31.el5
rpm-libs-4.4.2.3-31.el5
rpm-build-4.4.2.3-31.el5
redhat-rpm-config-8.0.45-32.el5
rpm-devel-4.4.2.3-31.el5
# rpm -qa | grep kmod
kmod-kspiceusb-rhel5u6-4.5-8.el5
kmod-ipw3945-1.2.0-4.20.el5
kmod-ipw3945-xen-1.2.0-4.20.el5
# uname -a
Linux rhel59.x.y.z.redhat.com 2.6.18-348.el5 #1 SMP Wed Nov 28 21:22:00 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 9 RHEL Product and Program Management 2013-05-01 03:15:03 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 12 Weiping Pan 2013-12-17 03:11:31 EST
Created attachment 837581 [details]
pacth to fix -v -r
Comment 13 Weiping Pan 2013-12-17 03:13:08 EST
Hi, Petr,

Sorry for the long delay.
I found this bug is similar with bz 680029, which is fixed in RHEL6.3, redhat-rpm-config-9.0.3-39.el6
https://bugzilla.redhat.com/show_bug.cgi?id=680029

I tried it on RHEL6.4, it works. 
I attached the patch to this bug, but I do not have plan to backport it for RHEL5.11.
If you really want an official fix in 5.11, ask PM for approval,
or you can pick up the patch for yourself.

thanks
Weiping Pan



# uname -a
Linux dell-pe840-02.rhts.eng.bos.redhat.com 2.6.32-358.el6.x86_64 #1 SMP Tue Jan 29 11:47:41 EST 2013 x86_64 x86_64 x86_64 GNU/Li

# rpmbuild -ba SPECS/kmp.spec 
Processing files: kmod-kmp-2.0-1.x86_64
error: File not found: /root/rpmbuild/BUILDROOT/kmp-1.0-0.x86_64/lib/modules/2.6.32-358.el6.x86_64


RPM build errors:
    File not found: /root/rpmbuild/BUILDROOT/kmp-1.0-0.x86_64/lib/modules/2.6.32-358.el6.x86_64

# mkdir -p /root/rpmbuild/BUILDROOT/kmp-1.0-0.x86_64/lib/modules/2.6.32-358.el6.x86_64

# rpmbuild -ba SPECS/kmp.spec Processing files: kmod-kmp-2.0-1.x86_64
Finding  Provides: /usr/lib/rpm/redhat/find-provides
Finding  Requires: /usr/lib/rpm/redhat/find-requires
Provides: kernel-modules >= 2.6.32-358.el6.x86_64 kmp-kmod = 1.0-0
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(VersionedDependencies) <= 3.0.3-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(post): /sbin/depmod /bin/sh
Requires(preun): /bin/sh
Requires(postun): /sbin/depmod /bin/sh
Checking for unpackaged file(s): /usr/lib/rpm/check-files /root/rpmbuild/BUILDROOT/kmp-1.0-0.x86_64
Wrote: /root/rpmbuild/SRPMS/kmp-1.0-0.src.rpm
Wrote: /root/rpmbuild/RPMS/x86_64/kmod-kmp-2.0-1.x86_64.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.mTs3AY
+ umask 022
+ cd /root/rpmbuild/BUILD
+ /bin/rm -rf /root/rpmbuild/BUILDROOT/kmp-1.0-0.x86_64
+ exit 0

Note You need to log in before you can comment on or make changes to this bug.